Subject: Re: [PATCH] KVM: arm/arm64: Fix up includes for trace.h

From: Jeremy Cline <[email-masked]>
Date: Wed, 5 Feb 2020 10:46:59 -0500

On Wed, Feb 05, 2020 at 03:18:05PM +0000, Marc Zyngier wrote:
> On 2020-02-05 13:41, Jeremy Cline wrote:
> > Fedora kernel builds on armv7hl began failing recently because
> > kvm_arm_exception_type and kvm_arm_exception_class were undeclared in
> > trace.h. Add the missing include.
> > 
> > Signed-off-by: Jeremy Cline <[email-masked]>
> > ---
> > 
> > I've not dug very deeply into what exactly changed between commit
> > b3a608222336 (the last build that succeeded) and commit 14cd0bd04907,
> > but my guess was commit 0e20f5e25556 ("KVM: arm/arm64: Cleanup MMIO
> > handling").
> > 
> > Fedora's build config is available at
> > https://src.fedoraproject.org/rpms/kernel/blob/master/f/kernel-armv7hl-fedora.config
> 
> This config doesn't have KVM enabled.
> 

Whoops, I did indeed mean
https://src.fedoraproject.org/rpms/kernel/blob/master/f/kernel-armv7hl-lpae-fedora.config.
Sorry about that.

> > 
> >  virt/kvm/arm/trace.h | 1 +
> >  1 file changed, 1 insertion(+)
> > 
> > diff --git a/virt/kvm/arm/trace.h b/virt/kvm/arm/trace.h
> > index 204d210d01c2..cc94ccc68821 100644
> > --- a/virt/kvm/arm/trace.h
> > +++ b/virt/kvm/arm/trace.h
> > @@ -4,6 +4,7 @@
> > 
> >  #include <kvm/arm_arch_timer.h>
> >  #include <linux/tracepoint.h>
> > +#include <asm/kvm_arm.h>
> > 
> >  #undef TRACE_SYSTEM
> >  #define TRACE_SYSTEM kvm
> 
> After enabling KVM in the above config (which requires LPAE), I've managed
> to reproduce
> the problem.
> 
> Fix now queued, thanks.
> 

Thanks!

- Jeremy

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel